Bug 1232809 - the response must be written to a BytesIO object
Summary: the response must be written to a BytesIO object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3-openid
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Dorňák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1232824
TreeView+ depends on / blocked
 
Reported: 2015-06-17 14:14 UTC by Jakub Dorňák
Modified: 2016-12-01 00:58 UTC (History)
2 users (show)

Fixed In Version: python3-openid-3.0.5-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1232824 (view as bug list)
Environment:
Last Closed: 2015-06-30 00:16:21 UTC


Attachments (Terms of Use)

Description Jakub Dorňák 2015-06-17 14:14:10 UTC
Description of problem:
Under Python 3, as PycURL invokes the write callback with bytes argument, the response must be written to a BytesIO object.

(see http://pycurl.sourceforge.net/doc/unicode.html)

Version-Release number of selected component (if applicable):
python3-openid-3.0.2-3.fc21

Comment 1 Fedora Update System 2015-06-17 14:57:45 UTC
python3-openid-3.0.2-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python3-openid-3.0.2-4.fc22

Comment 2 Fedora Update System 2015-06-17 20:08:23 UTC
python3-openid-3.0.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python3-openid-3.0.5-1.fc22

Comment 3 Fedora Update System 2015-06-21 00:15:34 UTC
Package python3-openid-3.0.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python3-openid-3.0.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10227/python3-openid-3.0.5-1.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-06-30 00:16:21 UTC
python3-openid-3.0.5-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.